> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/leads/update-lead.md).

# Update lead

Update an existing lead.

You can changed the partner team member assigned on the lead using the `assignedContactEmail` prop.This has to be the email address of an existing team member in the partner's team.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api"]}],"components":{"securitySchemes":{},"schemas":{"LeadUpdateRequestDto":{"type":"object","properties":{"deadLine":{"type":"string","format":"date-time","nullable":true},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true},"currency":{"type":"string","nullable":true},"assignedContactEmail":{"type":"string","nullable":true}},"additionalProperties":false},"LeadDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"creationDate":{"type":"string","format":"date-time"},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true},"partnerId":{"type":"integer","format":"int32","nullable":true},"sourcePartnerId":{"type":"integer","format":"int32","nullable":true},"userPartnerOwnerId":{"type":"integer","format":"int32","nullable":true},"dealId":{"type":"integer","format":"int32","nullable":true},"customerId":{"type":"integer","format":"int32","nullable":true},"deadLine":{"type":"string","format":"date-time","nullable":true},"assignedDate":{"type":"string","format":"date-time","nullable":true},"acceptedDate":{"type":"string","format":"date-time","nullable":true},"refusedDate":{"type":"string","format":"date-time","nullable":true},"convertedDate":{"type":"string","format":"date-time","nullable":true},"abandonedDate":{"type":"string","format":"date-time","nullable":true},"status":{"$ref":"#/components/schemas/LeadStatus"},"partnerName":{"type":"string","nullable":true},"dealName":{"type":"string","nullable":true},"customerName":{"type":"string","nullable":true},"source":{"$ref":"#/components/schemas/DataSource"},"transferredLeadId":{"type":"integer","format":"int32","nullable":true},"currency":{"type":"string","nullable":true},"ownerUserId":{"type":"integer","format":"int32","nullable":true},"owner":{"$ref":"#/components/schemas/UserDto"}},"additionalProperties":false},"LeadStatus":{"enum":["Unknown","Unassigned","Pending","Accepted","Refused","Reassigned","Converted","Abandoned"],"type":"string"},"DataSource":{"enum":["Unknown","Website","Partner","Api","Zapier","Tenant","System","HubSpot","Stripe","PartnerDirectory","Salesforce","Mcp"],"type":"string"},"UserDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/leads/{id}":{"patch":{"tags":["Leads"],"summary":"Update lead","description":"Update an existing lead.\r\n            \r\nYou can changed the partner team member assigned on the lead using the `assignedContactEmail` prop.This has to be the email address of an existing team member in the partner's team.","parameters":[{"name":"id","in":"path","description":"The ID of the lead to update.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeadUpdateRequestDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeadUpdateRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeadUpdateRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeadUpdateRequestDto"}}}},"responses":{"200":{"description":"Lead updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadDto"}}}},"404":{"description":"Lead not found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/leads/update-lead.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
